# $Revision: 1.45 $, $Date: 2010/07/08 08:39:56 $
Summary:	A SOAP library for Python
Summary(pl.UTF-8):	Biblioteka SOAP dla Pythona
Name:		python-SOAP
Version:	0.12.0
Release:	5
License:	Python
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pywebsvcs/SOAPpy-%{version}.tar.gz
# Source0-md5:	d0d29f9b6fb27bfadc69b64a36321e20
Patch0:		%{name}-urltry.patch
Patch1:		%{name}-future.patch
URL:		http://sourceforge.net/projects/pywebsvcs/
%pyrequires_eq	python
Requires:		python-fpconst
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-fpconst
BuildRequires:	python-PyXML
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Web services for Python programmers, both client and servers. This
includes SOAP, WSDL, UDDI, etc.

%description -l pl.UTF-8
Serwisy WWW dla programistów Pythona, zarówno klient i serwery. W tym
SOAP, WSDL, UDDI itp.

%prep
%setup -q -n SOAPpy-%{version}
%patch0 -p1
%patch1 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/*.txt validate tests tools contrib bid
%dir %{py_sitescriptdir}/SOAPpy
%{py_sitescriptdir}/SOAPpy/*.py?
%dir %{py_sitescriptdir}/SOAPpy/wstools
%{py_sitescriptdir}/SOAPpy/wstools/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-SOAP.spec,v $
Revision 1.45  2010/07/08 08:39:56  arekm
- release 5

Revision 1.44  2008/10/03 18:01:22  arekm
- release 4

Revision 1.43  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.41  2006/11/07 09:40:46  zboczuch
- added 'future' path (all future statements have to be present
  near to the top of file - see PEP 236)
- builds now against python 2.5

Revision 1.40  2006/09/11 20:45:55  wiget
- rel. 2 (rebuild with python 2.5)

Revision 1.39  2005/06/27 01:30:24  saq
- up to 0.12.0

Revision 1.38  2005/06/12 12:38:11  mmazur
- req: python-fpconst

Revision 1.37  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.36  2004/12/24 21:50:01  arekm
- rel3

Revision 1.35  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.34  2004/11/09 11:20:49  undefine
- small patch to try load from url in different way
- release 2

Revision 1.33  2004/09/11 06:25:20  zboczuch
- version 0.11.6
- cleanups

Revision 1.32  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.31  2004/05/02 18:44:48  leafnode
- updated to 0.11.4

Revision 1.30  2004/05/02 18:30:04  leafnode
- updated to 0.11.3

Revision 1.29  2004/01/19 12:56:34  jajcus
- Release: 3
- new architecture-independent python modules paths

Revision 1.28  2003/12/01 23:37:43  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.27  2003/11/24 01:55:07  matkor
- Version 0.10.4. Release 1.

Revision 1.26  2003/11/23 20:59:20  matkor
- BR: python-PyXML.

Revision 1.25  2003/11/03 00:44:08  arekm
- updated to 0.10.3

Revision 1.24  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/07/22 20:38:58  wiget
- updated to 0.10.2

Revision 1.22  2003/07/22 20:22:40  wiget
- rebuild with new python

Revision 1.21  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:26:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.18  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.17  2002/08/20 08:32:03  kloczek
- release 6.

Revision 1.16  2002/08/18 11:16:08  blues
- license fix

Revision 1.15  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.14  2002/04/11 13:53:51  wrobell
- rel. 5, stb

Revision 1.13  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.12  2002/03/18 07:24:00  wrobell
- group changed to Libraries/Python
- rel. 4
- stb

Revision 1.11  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.8  2002/02/04 03:07:10  kloczek
- release 3: rbuil against python 2.2 and adapterize spec file.

Revision 1.7  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/24 02:09:15  kloczek
- release 2.

Revision 1.5  2001/11/12 09:43:01  qboosh
- pl translations, BuildRequires: rpm-pythonprov

Revision 1.4  2001/11/11 19:13:31  wrobell
- fixed requirements

Revision 1.3  2001/11/11 19:07:12  wrobell
- use standard python macros

Revision 1.2  2001/09/06 10:09:21  kloczek
- require python >= 2.1 and cosmetics.

Revision 1.1  2001/09/05 12:06:34  mis
- new from scratch
